Debian Bug report logs - #465282
dpkg-dev: Set a set of compiler flags for a build

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Mon, 11 Feb 2008 16:42:01 UTC

Severity: wishlist

Fixed in version dpkg/1.14.17

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: submit@bugs.debian.org
Subject: dpkg-dev: Set a set of compiler flags for a build
Date: Mon, 11 Feb 2008 17:39:10 +0100
[Message part 1 (text/plain, inline)]
Package: dpkg-dev
Severity: wishlist

Please find attached a patch which implements setting a set of
compiler flags for a build; this was first announced in
http://lists.debian.org/debian-devel/2007/12/msg00090.html
Now simpliefied to just use the CFLAGS/CFLAGS_APPEND naming by Colin
Watson.

  Matthias

[dist-compiler-flags.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 465282@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Matthias Klose <doko@cs.tu-berlin.de>, 465282@bugs.debian.org
Subject: Re: Bug#465282: dpkg-dev: Set a set of compiler flags for a build
Date: Mon, 11 Feb 2008 19:30:13 +0100
On Mon, Feb 11, 2008 at 05:39:10PM +0100, Matthias Klose wrote:
Content-Description: message body text
> Package: dpkg-dev
> Severity: wishlist
> 
> Please find attached a patch which implements setting a set of
> compiler flags for a build; this was first announced in
> http://lists.debian.org/debian-devel/2007/12/msg00090.html
> Now simpliefied to just use the CFLAGS/CFLAGS_APPEND naming by Colin
> Watson.

Maybe more like this (still missing l10n, but a lot less code
duplication):

diff --git a/scripts/dpkg-buildpackage.pl b/scripts/dpkg-buildpackage.pl
index 72854dd..a550f4c 100755
--- a/scripts/dpkg-buildpackage.pl
+++ b/scripts/dpkg-buildpackage.pl
@@ -242,9 +242,8 @@ if ($signcommand) {
     }
 }
 
+my $build_opts = Dpkg::BuildOptions::parse();
 if ($parallel) {
-    my $build_opts = Dpkg::BuildOptions::parse();
-
     $parallel = $build_opts->{parallel} if (defined $build_opts->{parallel});
     $ENV{MAKEFLAGS} ||= '';
     if ($parallel eq '-1') {
@@ -256,6 +255,26 @@ if ($parallel) {
     Dpkg::BuildOptions::set($build_opts);
 }
 
+my $default_flags = defined $build_opts->{noopt} ? "-g -O0" : "-g -O2";
+my %flags = ( CPPFLAGS => '',
+	      CFLAGS   => $default_flags,
+	      CXXFLAGS => $default_flags,
+	      FFLAGS   => $default_flags,
+	      LDFLAGS  => "-Wl,-Bsymbolic-functions",
+    );
+
+foreach my $flag (keys %flags) {
+    if ($ENV{${flag}}) {
+	print "$progname: use ${flag} from environment: $ENV{${flag}}\n";
+    } else {
+	$ENV{${flag}} = $flags{$flag};
+	print "$progname: set ${flag} to default value: $ENV{${flag}}\n";
+    }
+    if ($ENV{"${flag}_APPEND"}) {
+	$ENV{${flag}} .= " ".$ENV{"${flag}_APPEND"};
+    }
+}
+
 my $cwd = cwd();
 my $dir = basename($cwd);
 
Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 465282@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Frank Lichtenheld <djpig@debian.org>
Cc: 465282@bugs.debian.org
Subject: Re: Bug#465282: dpkg-dev: Set a set of compiler flags for a build
Date: Tue, 12 Feb 2008 16:45:01 +0100
Frank Lichtenheld writes:
> On Mon, Feb 11, 2008 at 05:39:10PM +0100, Matthias Klose wrote:
> Content-Description: message body text
> > Package: dpkg-dev
> > Severity: wishlist
> > 
> > Please find attached a patch which implements setting a set of
> > compiler flags for a build; this was first announced in
> > http://lists.debian.org/debian-devel/2007/12/msg00090.html
> > Now simpliefied to just use the CFLAGS/CFLAGS_APPEND naming by Colin
> > Watson.
> 
> Maybe more like this (still missing l10n, but a lot less code
> duplication):

thanks for the cleanup!

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 465282@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 465282@bugs.debian.org
Subject: Re: Bug#465282: dpkg-dev: Set a set of compiler flags for a build
Date: Wed, 13 Feb 2008 21:52:37 +0100
On Tue, Feb 12, 2008 at 04:45:01PM +0100, Matthias Klose wrote:
> Frank Lichtenheld writes:
> > On Mon, Feb 11, 2008 at 05:39:10PM +0100, Matthias Klose wrote:
> > Content-Description: message body text
> > > Package: dpkg-dev
> > > Severity: wishlist
> > > 
> > > Please find attached a patch which implements setting a set of
> > > compiler flags for a build; this was first announced in
> > > http://lists.debian.org/debian-devel/2007/12/msg00090.html
> > > Now simpliefied to just use the CFLAGS/CFLAGS_APPEND naming by Colin
> > > Watson.
> > 
> > Maybe more like this (still missing l10n, but a lot less code
> > duplication):
> 
> thanks for the cleanup!

dpkg developers, can you already estimate, if/when this will be
available in unstable?

Thanks,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 465282@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: debian-devel@lists.debian.org, 465282@bugs.debian.org
Subject: Re: Proposalto introduce compiler options passed from dpkg-buildpackage
Date: Wed, 13 Feb 2008 22:01:00 +0100
On Mon, Feb 11, 2008 at 05:44:33PM +0100, Matthias Klose wrote:
> Moritz Muehlenhoff writes:
> > [This message has also been posted to gmane.linux.debian.devel.general.]
> > On 2007-12-25, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> > > Matthias Klose wrote:
> > >> This is a proposal to introduce a common set of compiler options which
> > >> can be set independently from the package, and passed/injected to the
> > >> package build process.  It was first discussed at the last UDS; a
> > >> corresponding wiki page can be found at [1].
> > >
> > > A change like that is more or less required for the planned introduction
> > > of security hardening features. Since noone really objected to the change
> > > outlined, I'd be interested in the way forward from here and what timeline
> > > is planned to set the changes into effect.
> > 
> > Matthias, what's the status?
> 
> thanks for the reminder; I did update the proposal and renamed the
> environment variables to what Colin Watson did suggest. Bug #465282
> now has a patch for dpkg-architecture attached.

That looks good to me. Maybe we should have individual default flags
per architecture, so that features, which are buggy or not fully
implemented on a given arch can be disabled so that the workarounds
don't need to be done by the maintainers across several rules files?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 465282@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Matthias Klose <doko@cs.tu-berlin.de>, debian-devel@lists.debian.org, 465282@bugs.debian.org
Subject: Re: Proposalto introduce compiler options passed from dpkg-buildpackage
Date: Thu, 14 Feb 2008 12:06:06 +0100
On Wed, Feb 13, 2008 at 10:01:00PM +0100, Moritz Muehlenhoff wrote:
> On Mon, Feb 11, 2008 at 05:44:33PM +0100, Matthias Klose wrote:
> > Moritz Muehlenhoff writes:
> > > [This message has also been posted to gmane.linux.debian.devel.general.]
> > > On 2007-12-25, Moritz Muehlenhoff <jmm@inutil.org> wrote:
> > > > Matthias Klose wrote:
> > > >> This is a proposal to introduce a common set of compiler options which
> > > >> can be set independently from the package, and passed/injected to the
> > > >> package build process.  It was first discussed at the last UDS; a
> > > >> corresponding wiki page can be found at [1].
> > > >
> > > > A change like that is more or less required for the planned introduction
> > > > of security hardening features. Since noone really objected to the change
> > > > outlined, I'd be interested in the way forward from here and what timeline
> > > > is planned to set the changes into effect.
> > > 
> > > Matthias, what's the status?
> > 
> > thanks for the reminder; I did update the proposal and renamed the
> > environment variables to what Colin Watson did suggest. Bug #465282
> > now has a patch for dpkg-architecture attached.
> 
> That looks good to me. Maybe we should have individual default flags
> per architecture, so that features, which are buggy or not fully
> implemented on a given arch can be disabled so that the workarounds
> don't need to be done by the maintainers across several rules files?

Hmm, I doubt that dpkg-dev should be the place to keep track of that.
I mean, that probably depends on the version of gcc/g++/whatever used,
so it's quite meaningless to make it dependent on the version of
dpkg-dev you use.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 465282@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 465282@bugs.debian.org
Cc: Matthias Klose <doko@cs.tu-berlin.de>
Subject: Re: Bug#465282: dpkg-dev: Set a set of compiler flags for a build
Date: Thu, 14 Feb 2008 12:17:32 +0100
On Wed, Feb 13, 2008 at 09:52:37PM +0100, Moritz Muehlenhoff wrote:
> On Tue, Feb 12, 2008 at 04:45:01PM +0100, Matthias Klose wrote:
> > Frank Lichtenheld writes:
> > > On Mon, Feb 11, 2008 at 05:39:10PM +0100, Matthias Klose wrote:
> > > > Please find attached a patch which implements setting a set of
> > > > compiler flags for a build; this was first announced in
> > > > http://lists.debian.org/debian-devel/2007/12/msg00090.html
> > > > Now simpliefied to just use the CFLAGS/CFLAGS_APPEND naming by Colin
> > > > Watson.
> > > 
> > > Maybe more like this (still missing l10n, but a lot less code
> > > duplication):
> > 
> > thanks for the cleanup!
> 
> dpkg developers, can you already estimate, if/when this will be
> available in unstable?

It's currently in my "procrastinate a bit about it before committing"
queue ;)

But I see no real problem with having it in .17

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 465282@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: debian-devel@lists.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, Matthias Klose <doko@cs.tu-berlin.de>, 465282@bugs.debian.org
Subject: Re: Proposalto introduce compiler options passed from dpkg-buildpackage
Date: Thu, 14 Feb 2008 13:10:02 +0100
On Thu, Feb 14, 2008, Frank Lichtenheld wrote:
> Hmm, I doubt that dpkg-dev should be the place to keep track of that.
> I mean, that probably depends on the version of gcc/g++/whatever used,
> so it's quite meaningless to make it dependent on the version of
> dpkg-dev you use.

 Should we have a new "default-flags" package or something which would
 be the place where these flags are set?  Perhaps queryable with:
    get-default-flags --gcc
    get-default-flags --ld
    etc.

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 465282@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: debian-devel@lists.debian.org, Moritz Muehlenhoff <jmm@inutil.org>, Matthias Klose <doko@cs.tu-berlin.de>, 465282@bugs.debian.org
Subject: Re: Proposalto introduce compiler options passed from dpkg-buildpackage
Date: Thu, 14 Feb 2008 23:12:26 +0100
Loïc Minier wrote:
> On Thu, Feb 14, 2008, Frank Lichtenheld wrote:
> > Hmm, I doubt that dpkg-dev should be the place to keep track of that.
> > I mean, that probably depends on the version of gcc/g++/whatever used,
> > so it's quite meaningless to make it dependent on the version of
> > dpkg-dev you use.
> 
>  Should we have a new "default-flags" package or something which would
>  be the place where these flags are set?  Perhaps queryable with:
>     get-default-flags --gcc
>     get-default-flags --ld
>     etc.

Matthias, what about adding such a get-default-flags script into the gcc-defaults
package?

Cheers,
        Moritz




Tags added: pending Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sun, 17 Feb 2008 17:27:02 GMT) Full text and rfc822 format available.

Reply sent to Ian Jackson <ian@davenant.greenend.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 465282-close@bugs.debian.org (full text, mbox):

From: Ian Jackson <ian@davenant.greenend.org.uk>
To: 465282-close@bugs.debian.org
Subject: Bug#465282: fixed in dpkg 1.15.0
Date: Sun, 09 Mar 2008 11:32:04 +0000
Source: dpkg
Source-Version: 1.15.0

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.0_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.15.0_all.deb
dpkg_1.15.0.dsc
  to pool/main/d/dpkg/dpkg_1.15.0.dsc
dpkg_1.15.0.tar.gz
  to pool/main/d/dpkg/dpkg_1.15.0.tar.gz
dpkg_1.15.0_i386.deb
  to pool/main/d/dpkg/dpkg_1.15.0_i386.deb
dselect_1.15.0_i386.deb
  to pool/main/d/dpkg/dselect_1.15.0_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 465282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Jackson <ian@davenant.greenend.org.uk> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 08 Mar 2008 20:41:08 +0000
Source: dpkg
Binary: dpkg dpkg-dev dselect
Architecture: source i386 all
Version: 1.15.0
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Ian Jackson <ian@davenant.greenend.org.uk>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 4655 114774 151540 281057 311843 355654 375711 379028 432893 445552 462225 462403 462413 463398 465282 465651 466135 466321 466957 467470 468916 469520
Changes: 
 dpkg (1.15.0) unstable; urgency=low
 .
   [ Ian Jackson ]
   * Triggers.
   * Ship triggers.text to /usr/share/doc/dpkg-dev.
 .
   * Fix formatting of a few files.  Closes: #375711.
   * Treat successful calls to the postinst as always making the package
     installed.  Reverts Brian Carlson's patch from #432893.
   * Fix missing angle bracket in Swedish po file.
   * postinst in cleanup iff status was good beforehand.  Closes: #432893.
     This is the proper fix.  If the package was halfconfigured, we
     don't run the postinst and that way there are no surprises.
     When we do run the postinst we know that we can without fear set
     the package to installed (or trig*, as the case may be).
     We achieve this by not registering the cu_prerm* handlers unless the
     package was >stat_halfconfigured beforehand.  We have no more need
     to pass the previous state into the cu_prerm* postinst invocations.
   * Do not pointlessly clear reinstreq flag on postinst abort-remove.
     cu_prermremove is only be called via a push_cleanup in remove.c which
     is only executed if the package is at least halfconfigured so
     reinstreq must be clear to start with.
   * Mark reinstreq during unpack as late as possible, not before prerm.
     Previously the package would be reinstreq while we deal with
     conflictors' prerms and deconfiguration, but that's unnecessary.
 .
   * Implement `Breaks' properly in dselect.  It works just like Conflicts.
     This is correct since dselect only deals with packages being installed,
     removed or placed on hold.
   * Fix erroneous description of Breaks in dselect.
     The description should be `breaks' as in `A breaks B' rather than
     `A breaks with B' since it is B that is broken by A and not vice versa.
   * Correct broken dselect logic for self-conflicting packages.
 .
   * Add Ian as a maintainer and remove Guillem.
 .
   [ Egmont Koblinger ]
   * lstat correct conffile path even with --root.  Closes: #281057.
     Previously we would incorrectly ignore --root here.  The change is
     dpkg-1.13.22-oom-part2.patch from Egmont's June 2006 message to the
     bug report, adjusted to fit without the part1 patch.
 .
   [ Guillem Jover ]
   * Replace strdup plus error checking usage with a new m_strdup function.
     Closes: #379028
   * Add new keybinding in dselect to restore all selections back to
     whatever's currently installed. Closes: #151540
     Thanks to Colin Watson.
   * Use system timersub and fix timeval normalization in multiplication in
     start-stop-daemon. Thanks to Andreas Påhlsson. Closes: #462225
   * Cosmetic fixes to start-stop-daemon output and man page. Document that
     --chuid will change the group even if it has not been specified. Add
     EXIT STATUS and EXAMPLE sections to man page. Thanks to Justin Pryzby.
   * Add Raphael Hertzog to Uploaders, and remove Brendan O'Dea and
     Christian Perrier with their permission.
   * Use functions from libcompat when those are not provided by the system.
   * Change dpkg-gencontrol to not output the Homapage field on udeb.
   * Reintroduce 'no-debsig' back in dpkg.cfg to avoid failing to install any
     package when debsig-verify is installed. Closes: #311843
   * Fix some small memory leaks. Closes: #469520
     Thanks to Sean Finney.
 .
   [ Raphael Hertzog ]
   * Add a warning displayed by dpkg-genchanges if the current version is
     smaller than the previous one. Closes: #4655
   * Add -d and -c options in dpkg-checkbuilddeps to override
     build-depends/conflicts. Closes: #114774
   * Include list of libraries in dpkg-gensymbols' warning about new/lost
     libraries.
   * Add -R option to dpkg-buildpackage so that one can replace the usual
     "debian/rules" by something else. Closes: #355654
   * Always list all binary packages in the Description: field of .changes
     files. It's nice for reviewers and mentors.debian.net was using this field
     on source only uploads to display short description of what the package is
     about.
   * Handle the case when the library has a different SONAME than the one used
     to find it. Closes: #462413
   * Fix Dpkg::Version and Dpkg::Fields::Object to import _g() from
     Dpkg::Gettext. Thanks to Adam Heath and Olivier Berger for spotting
     this. Closes: #465651
   * Change PATH during make check to look into build directories containing
     dpkg and the related scripts. Thanks to Mike Frysinger. Closes: #466957
   * Some lintian cleanup:
     - add overrides for some useless I: tags
     - drop unused overrides
     - updated several manual pages to fix hyphen-used-as-minus-sign
     - fixed manpage-has-errors-from-man in several manual pages
   * Removed old upgrade code from dpkg's preinst and postinst which only
     concerns upgrading from dpkg version older than the one in oldstable
     already. And thus we get rid of old the last usage of read in those
     scripts (fixes lintian's warning read-in-maintainer-script).
   * Removed sorting of dependencies in dpkg-gencontrol and dpkg-source. But
     kept it for all other fields (Enhances, Conflicts, Replaces, Breaks,
     Build-Conflicts and Build-Conflicts-Indep).
   * Instead changed dpkg-shlibdeps to sort the dependencies generated in
     ${shlibs:*} variables.
   * Changed the logic of simplification of dependencies: if any dependency
     must be discarded due to another dependency appearing further
     in the field, the superseding dependency will take the place of the
     discarded one. Added a test case for this.
 .
   [ Frank Lichtenheld ]
   * Add a warning in dpkg-buildpackage if the build-dependencies are not
     satisfied during -S. Closes: #445552
   * Add a missing space in the German scripts translation. Closes: #463398
   * Add improved deb-shlibs.5 manual page by Zack Weinberg. Closes: #466135
   * dpkg-buildpackage exports some build related environment variables
     now. Based on a patch by Matthias Klose. Closes: #465282
     (See dpkg-buildpackage(1) and https://wiki.ubuntu.com/DistCompilerFlags
      for details)
   * Add support for use of SHA1 and SHA256 checksums in .dsc and
     .changes files. Information will be available in Checksums-Sha{1,256}
     fields. .changes format version increased to 1.8.
   * Link dselect against libncursesw (using appropriate -I). Closes: #466321
   * Forward port a patch from the old changelog parser to the new
     one that got lost during the transition. '+' and '.' can now
     be used in distribution names yet again. Reported by dann frazier.
     Closes: #467470
 .
   [ Updated dpkg translations ]
   * Korean (Changwoo Ryu).
   * Polish (Robert Luberda).
   * Romanian (Eddy Petrișor).
   * Swedish (Peter Karlsson).
   * Thai (Theppitak Karoonboonyanan). Closes: 468916
 .
   [ Updated manpages translations ]
   * German (Helge Kreutzmann).
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Updated dselect translations ]
   * Basque. (Piarres beobide). Closes: #462403
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Updated dselect translations ]
   * Polish (Robert Luberda).
   * Romanian (Eddy Petrișor).
Files: 
 b15605242ff62fb1c31fbba64e367115 1129 admin required dpkg_1.15.0.dsc
 8f17862f24eeba5ca62637dc2b779a53 4233198 admin required dpkg_1.15.0.tar.gz
 005c95ba8b0b60ae8db6cf636333882a 2098688 admin required dpkg_1.15.0_i386.deb
 4d4d875e600379d7538a0eee17e5c224 729038 admin optional dselect_1.15.0_i386.deb
 50a0f2c7f193aed9c4b4988486ce2bc7 496054 utils optional dpkg-dev_1.15.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBR9PIVsMWjroj9a3bAQKsGQQA5VyTC2YNPqa1P1NucSYD+khO7K5fFFOz
i9ZJtL7miwpXa99JrVvfvqlWyD8Fuwli5boVrx2Mms0NJoHfdjxzX5+POmqjdxTq
/bsxQHEBNwDZZNJ5/OJpEDmvkBdl1+PLCT+zucibIwE/WqNY4Qg8oJDxErCJgqaP
cnH85uXEQEw=
=R6bn
-----END PGP SIGNATURE-----





Bug reopened, originator not changed. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Fri, 14 Mar 2008 02:24:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#465282; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 465282@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: control@bugs.debian.org
Cc: 114774@bugs.debian.org, 151540@bugs.debian.org, 311843@bugs.debian.org, 355654@bugs.debian.org, 379028@bugs.debian.org, 445552@bugs.debian.org, 448946@bugs.debian.org, 462225@bugs.debian.org, 462403@bugs.debian.org, 462413@bugs.debian.org, 463398@bugs.debian.org, 465282@bugs.debian.org, 4655@bugs.debian.org, 465651@bugs.debian.org, 466135@bugs.debian.org, 466321@bugs.debian.org, 466957@bugs.debian.org, 467470@bugs.debian.org, 468916@bugs.debian.org, 469520@bugs.debian.org
Subject: setting package to dselect dpkg-dev dpkg, tagging 445552, tagging 355654, tagging 465282 ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ... ...
Date: Fri, 14 Mar 2008 04:53:24 +0200
# Automatically generated email from bts, devscripts version 2.10.18.1
#
# dpkg (1.14.17) UNRELEASED; urgency=low
#
#  * Replace strdup plus error checking usage with a new m_strdup function.
#    Closes: #379028
#  * Add new keybinding in dselect to restore all selections back to
#    whatever's currently installed. Closes: #151540
#    Thanks to Colin Watson.
#  * Use system timersub and fix timeval normalization in multiplication in
#    start-stop-daemon. Thanks to Andreas Påhlsson. Closes: #462225
#  * Reintroduce 'no-debsig' back in dpkg.cfg to avoid failing to install any
#    package when debsig-verify is installed. Closes: #311843
#  * Fix some small memory leaks. Closes: #469520
#    Thanks to Sean Finney.
#  * Implement 'Breaks' properly in dselect. Closes: #448946
#    Thanks to Ian Jackson.
#  * Add a warning displayed by dpkg-genchanges if the current version is
#    smaller than the previous one. Closes: #4655
#  * Add -d and -c options in dpkg-checkbuilddeps to override
#    build-depends/conflicts. Closes: #114774
#  * Add -R option to dpkg-buildpackage so that one can replace the usual
#    "debian/rules" by something else. Closes: #355654
#  * Handle the case when the library has a different SONAME than the one used
#    to find it. Closes: #462413
#  * Fix Dpkg::Version and Dpkg::Fields::Object to import _g() from
#    Dpkg::Gettext. Thanks to Adam Heath and Olivier Berger for spotting
#    this. Closes: #465651
#  * Change PATH during make check to look into build directories containing
#    dpkg and the related scripts. Thanks to Mike Frysinger. Closes: #466957
#  * Add a warning in dpkg-buildpackage if the build-dependencies are not
#    satisfied during -S. Closes: #445552
#  * Add a missing space in the German scripts translation. Closes: #463398
#  * Add improved deb-shlibs.5 manual page by Zack Weinberg. Closes: #466135
#  * dpkg-buildpackage exports some build related environment variables
#    now. Based on a patch by Matthias Klose. Closes: #465282
#    (See dpkg-buildpackage(1) and https://wiki.ubuntu.com/DistCompilerFlags
#     for details)
#  * Link dselect against libncursesw. Closes: #466321
#  * Forward port a patch from the old changelog parser to the new
#    one that got lost during the transition. '+' and '.' can now
#    be used in distribution names yet again. Reported by dann frazier.
#    Closes: #467470
#  * Thai (Theppitak Karoonboonyanan). Closes: 468916
#  * Basque. (Piarres beobide). Closes: #462403
#

package dselect dpkg-dev dpkg
tags 445552 + pending
tags 355654 + pending
tags 465282 + pending
tags 311843 + pending
tags 379028 + pending
tags 114774 + pending
tags 466321 + pending
tags 4655 + pending
tags 463398 + pending
tags 468916 + pending
tags 466135 + pending
tags 151540 + pending
tags 466957 + pending
tags 469520 + pending
tags 448946 + pending
tags 467470 + pending
tags 462403 + pending
tags 462225 + pending
tags 465651 + pending
tags 462413 + pending





Tags added: pending Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Fri, 14 Mar 2008 02:57:20 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 465282-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 465282-close@bugs.debian.org
Subject: Bug#465282: fixed in dpkg 1.14.17
Date: Sun, 30 Mar 2008 10:17:06 +0000
Source: dpkg
Source-Version: 1.14.17

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.14.17_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.14.17_all.deb
dpkg_1.14.17.dsc
  to pool/main/d/dpkg/dpkg_1.14.17.dsc
dpkg_1.14.17.tar.gz
  to pool/main/d/dpkg/dpkg_1.14.17.tar.gz
dpkg_1.14.17_i386.deb
  to pool/main/d/dpkg/dpkg_1.14.17_i386.deb
dselect_1.14.17_i386.deb
  to pool/main/d/dpkg/dselect_1.14.17_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 465282@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Mar 2008 12:48:22 +0300
Source: dpkg
Binary: dpkg dpkg-dev dselect
Architecture: source i386 all
Version: 1.14.17
Distribution: experimental
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 4588 4628 4655 12564 17243 68981 114774 142042 151540 203792 215374 217622 220758 246918 248693 255882 308285 311843 323909 355654 363018 366555 379028 435126 439979 443338 445552 448946 453267 462225 462403 462413 463048 463398 465282 465420 465651 466135 466321 466957 467470 468916 469520 469838 471342 472332
Changes: 
 dpkg (1.14.17) experimental; urgency=low
 .
   [ Guillem Jover ]
   * Replace strdup plus error checking usage with a new m_strdup function.
     Closes: #379028
   * Add new keybinding in dselect to restore all selections back to
     whatever's currently installed. Closes: #151540
     Thanks to Colin Watson.
   * Use system timersub and fix timeval normalization in multiplication in
     start-stop-daemon. Thanks to Andreas Påhlsson. Closes: #462225
   * Cosmetic fixes to start-stop-daemon output and man page. Document that
     --chuid will change the group even if it has not been specified. Add
     EXIT STATUS and EXAMPLE sections to man page. Thanks to Justin Pryzby.
   * Add Raphael Hertzog to Uploaders, and remove Brendan O'Dea and
     Christian Perrier with their permission.
   * Use functions from libcompat when those are not provided by the system.
     - Add strnlen to libcompat.
     - Link programs against libcompat which provides obstack. Closes: #142042
   * Change dpkg-gencontrol to not output the Homapage field on udeb.
   * Reintroduce 'no-debsig' back in dpkg.cfg to avoid failing to install any
     package when debsig-verify is installed. Closes: #311843
   * Fix some small memory leaks. Closes: #469520
     Thanks to Sean Finney.
   * Correct broken dselect logic for self-conflicting packages.
     Thanks to Ian Jackson.
   * Implement 'Breaks' properly in dselect. Closes: #448946
     Thanks to Ian Jackson.
   * Fix erroneous description of Breaks in dselect output.
     Thanks to Ian Jackson.
   * Allow compilation with --disable-nls on systems without libintl.h where
     a non glibc claims to be glibc. Closes: #465420
   * Fix crash when a .deb file becomes unreadable while dpkg is starting.
     Thanks to Ian Jackson. Closes: #255882
   * Few file descriptor cleanup and error handling fixes.
     Thanks to Ian Jackson. Closes: #443338
   * Move test suite invokation to a new check target in debian/rules.
   * Add support for nocheck DEB_BUILD_OPTIONS in debian/rules, so that the
     dpkg test suite can be skept if desired.
   * Improve log and status-fd output by printing more status change updates
     and actions. Thanks to Ian Jackson.
   * Implement triggers support. Thanks to Ian Jackson.
     Closes: #17243, #68981, #215374, #217622, #248693, #308285
 .
   [ Raphael Hertzog ]
   * Add a warning displayed by dpkg-genchanges if the current version is
     smaller than the previous one. Closes: #4655
   * Add -d and -c options in dpkg-checkbuilddeps to override
     build-depends/conflicts. Closes: #114774
   * Include list of libraries in dpkg-gensymbols' warning about new/lost
     libraries.
   * Add -R option to dpkg-buildpackage so that one can replace the usual
     "debian/rules" by something else. Closes: #355654
   * Always list all binary packages in the Description: field of .changes
     files. It's nice for reviewers and mentors.debian.net was using this field
     on source only uploads to display short description of what the package is
     about.
   * Handle the case when the library has a different SONAME than the one used
     to find it. Closes: #462413
   * Fix Dpkg::Version and Dpkg::Fields::Object to import _g() from
     Dpkg::Gettext. Thanks to Adam Heath and Olivier Berger for spotting
     this. Closes: #465651
   * Change PATH during make check to look into build directories containing
     dpkg and the related scripts. Thanks to Mike Frysinger. Closes: #466957
   * Some lintian cleanup:
     - add overrides for some useless I: tags
     - drop unused overrides
     - updated several manual pages to fix hyphen-used-as-minus-sign
     - fixed manpage-has-errors-from-man in several manual pages
     - removed empty debian/dpkg.prerm
   * Removed old upgrade code from dpkg's preinst and postinst which only
     concerns upgrading from dpkg version older than the one in oldstable
     already. And thus we get rid of old the last usage of read in those
     scripts (fixes lintian's warning read-in-maintainer-script).
   * Removed sorting of dependencies in dpkg-gencontrol and dpkg-source. But
     kept it for all other fields (Enhances, Conflicts, Replaces, Breaks,
     Build-Conflicts and Build-Conflicts-Indep).
   * Instead changed dpkg-shlibdeps to sort the dependencies generated in
     ${shlibs:*} variables.
   * Changed the logic of simplification of dependencies: if any dependency
     must be discarded due to another dependency appearing further
     in the field, the superseding dependency will take the place of the
     discarded one. Added a test case for this.
   * dpkg-shlibdeps properly accounts usage of symbols provided by private
     libraries without SONAME. Closes: #469838
   * Add a new warning to dpkg-shlibdeps when a library NEEDED is in fact
     not used by any of the binaries analyzed. Closes: #472332
   * Add a new --warnings=<value> option to select the set of warnings to
     activate. By default, do not activate the warning about useless
     libraries at the binary level (instead the new warning above is activated
     by default: it's less strict and more useful).
   * dpkg-source has been heavily refactored to make it easier to support
     multiple source package formats. Several new source package formats have
     been added:
     - the format "2.0" is the original wig&pen
     - the format "3.0 (quilt)" is based on 2.0. It uses a tarball for the
       debian directory and can thus include binary files. Binaries
       outside of the debian directory can be also included if they
       are listed in debian/source/include-binaries (and option
       --include-binaries will generate this file automatically).
       Closes: #4588, #4628
     - thus it will also preserve timestamps on Debian-provided
       documentation like README.Debian. Closes: #366555
     - it handles an explicit series of patches and the patch can thus be
       named without constraints. Patches can contain arbitrary
       headers/comments between file chunks. Closes: #363018
     - it ignores changes on a number of temporary and VCS-specific files
       by default. Closes: #203792, #323909
     - the patches in debian/patches can remove files. Closes: #12564
     - the patches are applied at unpack time. Closes: #463048
     - the formats "3.0 (quilt/native)" don't include VCS directories by
       default. Closes: #435126
     - the format "3.0 (custom)" can be used to create a source package
       containing arbitrary files. It's useful for helper tools that can
       generate the files by themselves in a more efficient way
       (like all the *-buildpackage tools). Closes: #246918
     - the formats "3.0 (git/bzr)" are experimental formats based
       on corresponding VCS repositories. Thanks to Joey Hess and Colin Watson
       respectively.
   * dpkg-source has a new --no-check option. It disables GPG check and
     checksums checks. Closes: #220758
   * dpkg-shlibdeps is now able to look into directories containing libraries
     used by cross-built binaries provided that the right environment variable
     are set. Closes: #453267
   * Change default value of LDFLAGS (set by dpkg-buildpackage) to ''
     instead of '-Wl,-Bsymbolic-functions'. It's safer at this point of the
     release cycle.
   * dpkg-buildpackage will set PKG_CONFIG_LIBDIR (but not override an existing
     value) in case of cross-compilation so that pkgconfig finds .pc files
     in the directory specific to the target architecture. Closes: #439979
 .
   [ Frank Lichtenheld ]
   * Add a warning in dpkg-buildpackage if the build-dependencies are not
     satisfied during -S. Closes: #445552
   * Add a missing space in the German scripts translation. Closes: #463398
   * Add improved deb-shlibs.5 manual page by Zack Weinberg. Closes: #466135
   * dpkg-buildpackage exports some build related environment variables
     now. Based on a patch by Matthias Klose. Closes: #465282
     (See dpkg-buildpackage(1) and https://wiki.ubuntu.com/DistCompilerFlags
      for details)
   * Add support for use of SHA1 and SHA256 checksums in .dsc and
     .changes files. Information will be available in Checksums-Sha{1,256}
     fields. .changes format version increased to 1.8.
   * Link dselect against libncursesw. Closes: #466321
   * Forward port a patch from the old changelog parser to the new
     one that got lost during the transition. '+' and '.' can now
     be used in distribution names yet again. Reported by dann frazier.
     Closes: #467470
 .
   [ Updated dpkg translations ]
   * Korean (Changwoo Ryu).
   * Polish (Robert Luberda).
   * Romanian (Eddy Petrişor).
   * Slovak (Ivan Masár). Closes: #471342
   * Swedish (Peter Karlsson).
   * Thai (Theppitak Karoonboonyanan). Closes: #468916
 .
   [ Updated manpages translations ]
   * German (Helge Kreutzmann).
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Updated dselect translations ]
   * Basque. (Piarres beobide). Closes: #462403
 .
   [ Updated scripts translations ]
   * German (Helge Kreutzmann).
   * Polish (Robert Luberda).
   * Swedish (Peter Karlsson).
 .
   [ Updated dselect translations ]
   * Polish (Robert Luberda).
   * Romanian (Eddy Petrişor).
Files: 
 56444961ee40787d3ea5021dcc06a876 1205 admin required dpkg_1.14.17.dsc
 0ca6340578ada3e552d65da20a156f63 6379035 admin required dpkg_1.14.17.tar.gz
 358289c629a4b576fc2b442c7651a415 2122620 admin required dpkg_1.14.17_i386.deb
 84ab760fccbd19f8471d0699adbcd5a0 736746 admin optional dselect_1.14.17_i386.deb
 faca7bfb16abe077738e7607379d64ec 626054 utils optional dpkg-dev_1.14.17_all.deb
Checksums-Sha1: 
 cac35895c30cbd70ab57139306353ee0168aa29e 968 dpkg_1.14.17.dsc
 15faa3d798821d27b05fc09a3250fb26bacfb4a4 6379035 dpkg_1.14.17.tar.gz
 fc2c83f6f73b59dd173d944ad2dbf456725b6728 2122620 dpkg_1.14.17_i386.deb
 22214ad294485c59baa3c268d89f44e4e7e5b76f 736746 dselect_1.14.17_i386.deb
 913250129eef33396fcbed06aa051d5d19d3460c 626054 dpkg-dev_1.14.17_all.deb
Checksums-Sha256: 
 59d7e12cf3ab6096a27c87b3181a9c950574398dd38c83afbad5493035b581f4 968 dpkg_1.14.17.dsc
 9c45ae389e305a76070340415169383ae1126c1e7e77376c16feaf35cc40b6d2 6379035 dpkg_1.14.17.tar.gz
 4e8f8a1d24aaa7584fc94aaa7f40d87b4a8bf66bfdc31cc2a4a6a0b66c656c2d 2122620 dpkg_1.14.17_i386.deb
 4b788d10b1779ea032dea864aebfc7171607c7a5de6a71a39f7b190b679e81a7 736746 dselect_1.14.17_i386.deb
 a598e6468317c6401593c5830fc7c7380f0acdce8dc61c45b07157834c92eb18 626054 dpkg-dev_1.14.17_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH72VTuW9ciZ2SjJsRAtvcAKC3lKxZP+TcJkXuNk2YrhWMr54UJgCgp/Es
81b/wWSjXuYpn8Vku+tiby8=
=y/qC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 May 2008 07:38:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:29:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.